/* soda.h */
int read_cache(unsigned long inode_number, char *hostname,
	       off_t offset, int count, char *data, struct nfs_fattr *fattr);
int store_cache(unsigned long inode_number,char *hostname, off_t offset,
                char *data, int len, unsigned long lease, struct nfs_fattr *fattr);


#define NFS_VALIDATE_LEASE 100  /* The client has an up-to-date version of the */
                                /* file. So, validate the lease for another    */
                                /* period.                                     */

int revalidate_lease(unsigned long inode_number, char *hostname, 
		     unsigned long new_lease, char *data, off_t offset, 
		     int count);



